Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class PollReqContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.PollReqContent

All Implemented Interfaces:
  DEREncodable

    public class PollReqContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERInteger[][]` `getCertReqIds()`
`static PollReqContent` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` PollReqContent ::= SEQUENCE OF SEQUENCE { certReqId INTEGER }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PollReqContent getInstance(java.lang.Object o)

### getCertReqIds

    public DERInteger[][] getCertReqIds()

### toASN1Object

    public DERObject toASN1Object()

       PollReqContent ::= SEQUENCE OF SEQUENCE {
                              certReqId              INTEGER
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45